<?php


namespace App\ViewModels\AgendaEspecialidade\AgendaEspecialidadeUpdateViewModel;

use App\Utils\Builder;

class AgendaEspecialidadeUpdateViewModelBuilder implements Builder
{

    protected $id_especialidade;
    protected $alterado_por;

    /**
     * @param mixed $id_especialidade
     * @return AgendaEspecialidadeUpdateViewModelBuilder
     */
    public function setIdEspecialidade($id_especialidade)
    {
        $this->id_especialidade = $id_especialidade;
        return $this;
    }


    public function setAlteradoPor(?int $alterado_por): AgendaEspecialidadeUpdateViewModelBuilder
    {
        $this->alterado_por = $alterado_por;
        return $this;
    }

    public function build() : AgendaEspecialidadeUpdateViewModel
    {
        $agenda_update_vm = new AgendaEspecialidadeUpdateViewModel();
        $agenda_update_vm->setIdEspecialidade($this->id_especialidade);
        $agenda_update_vm->setalteradopor($this->alterado_por);
        return $agenda_update_vm;
    }


}